/// <reference types="highcharts" />
import { DataSet } from './../../interfaces/DisplayInterfaces';
import { IChartSeries, ITableData, BoxPlotOptions } from './highchart-platform-interfaces';
import * as Highcharts from 'highcharts';
export declare type datapoint = Array<number | [number, number] | [string, number] | Highcharts.DataPoint>;
export declare class HighChartDataAdapter {
    static colorsPalette: string[];
    static createBoxplotSeries(srcData: DataSet, groupingColumn: string, targetValue: string, colorGroupingCol?: string, showPoints?: boolean, seriesName?: string, roundToDecimalPlace?: number, customColumns?: string[], boxPlotOptions?: BoxPlotOptions): IChartSeries[];
    private static PushExtraPropertiesIfNeeded(customColumns, row, dataSetColumns);
    static AddScatterDataPoints(srcData: ITableData, x: string, y: string, isDateTime?: boolean, seriesName?: string, color?: string, addRL?: boolean, customData?: string[]): IChartSeries[];
    private static findLineByLeastSquares(scatterDataPoints);
    private static pushStats(datapoints, roundToDecimalPlace);
    private static getRandomNum(num, index);
    private static convertToUTCDate(date);
    private static createInliers(datapoints, counter, inliers, color, extraProps?, shape?);
    private static createOutliers(datapoints, counter, outliers, color, extraProps, shape?);
    private static processDataPoints(datapoints, counter, scatterDataPoints, color, jiggered?, extraProps?, shape?);
    private static populateOutliersAndInliers(showPoints, inLierSeries, inLierDataArr, outlierSeries, outlierDataArr, colorGroupingCol, boxPlotOptions?);
    private static groupData(data, index);
}
export declare class ColorHelper {
    static h: string;
    static hexToR(h: any): number;
    static hexToG(h: any): number;
    static hexToB(h: any): number;
    static cutHex(h: any): any;
    static addOpacity(opacity: any): string;
}
